package cn.itcast.dao;



import java.util.List;
import java.util.Map;

import javax.enterprise.inject.New;
import javax.sql.DataSource;

import org.apache.commons.dbutils.QueryRunner;
import org.apache.commons.dbutils.handlers.BeanListHandler;
import org.apache.commons.dbutils.handlers.MapListHandler;

import cn.itcast.domain.Area;
import cn.itcast.domain.City;
import cn.itcast.domain.Province;
import cn.itcast.utils.JdbcUtils;

/**
 * @author Administrator
 *
 */
public class Dao {
	
	public List<Province> getAllProvince(){
		
		try {
			QueryRunner qr=new QueryRunner(JdbcUtils.getDataSource());
			String sql="select * from provinces";
			return (List<Province>) qr.query(sql, new BeanListHandler(Province.class));
	 
			
		
		} catch (Exception e) {
			throw new RuntimeException(e);
		}
	}
	
	public List<City> findByProvince(String proId) {

		try {
			QueryRunner qr = new QueryRunner(JdbcUtils.getDataSource());
			String sql = "select * from cities where provinceid=?";
			return (List<City>) qr.query(sql,proId, new BeanListHandler(City.class));

		} catch (Exception e) {
			throw new RuntimeException(e);
		}
	}
	
	public List<Area> findByCity(String cId) {

		try {
			QueryRunner qr = new QueryRunner(JdbcUtils.getDataSource());
			String sql = "select * from areas where cityid=?";
			return (List<Area>) qr.query(sql, cId, new BeanListHandler(Area.class));

		} catch (Exception e) {
			throw new RuntimeException(e);
		}
	}
	
	
}
